Bug 919514 - Yum updated failed (matahari+deps.)
Summary: Yum updated failed (matahari+deps.)
Keywords:
Status: CLOSED DUPLICATE of bug 918125
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
: 920063 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-08 17:18 UTC by Alan Wamser
Modified: 2014-01-21 06:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-09 20:30:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alan Wamser 2013-03-08 17:18:43 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Run yum update


Steps to Reproduce:
1. yum update
2. select [y] when prompted "Is this ok"
3.
  
Actual results:


Expected results:


Additional info:

Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libqpidclient.so.5()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libqpidcommon.so.5()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libmcommon.so.0.0.1()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libmnet.so.0.0.1()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
matahari-lib = 0.4.0-5.el6 is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
libmqmfagent.so.0.0.1()(64bit) is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
matahari-agent-lib = 0.4.0-5.el6 is needed by (installed) matahari-net-0.4.0-5.el6.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%206&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2013-03-08-11-14LkjRko.yumtx
[root@alfresco ~]#

Comment 1 Richard Robinson 2013-03-10 17:14:12 UTC
I had a similar problem (updating on RHEL 6.1). I resolved it doing this:

yum shell
> install matahari
> remove matahari-service
> remove matahari-lib
> remove matahari-host
> remove matahari-agent
> remove matahari-net
> run
> exit

NOTE: in my case the above mentioned remove packages were what were mentioned on the yum update output. Your output (and packages needed to remove) may vary.

See http://agilesysadmin.net/advanced-dependency-management for more.

Comment 2 Jan Zeleny 2013-03-11 11:23:09 UTC
*** Bug 920063 has been marked as a duplicate of this bug. ***

Comment 3 James Antill 2013-04-09 20:30:48 UTC

*** This bug has been marked as a duplicate of bug 918125 ***


Note You need to log in before you can comment on or make changes to this bug.